# $Revision: 1.23 $, $Date: 2008/07/27 22:21:29 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	XQL
Summary:	XML::XQL - query XML tree structures with XQL
Summary(pl.UTF-8):	XML::XQL - odpytywanie struktur drzewiastych XML-a przy użyciu XQL-a
Name:		perl-XML-XQL
Version:	0.68
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bb84096fdf8bcc96a35971539ce8c19e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-DOM >= 1.29
BuildRequires:	perl-Date-Manip >= 5.33
BuildRequires:	perl-Parse-Yapp
BuildRequires:	perl-XML-Parser >= 2.30
%endif
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Perl extension that allows you to perform XQL queries on XML
object trees. Currently only the XML::DOM module is supported, but
other implementations, like XML::Grove, may soon follow.

%description -l pl.UTF-8
Jest to rozszerzenie Perla pozwalające na wykonywanie zapytań XQL na
drzewach obiektów XML. Aktualnie obsługiwany jest tylko moduł
XML::DOM, ale może wkrótce będą inne implementacje, takie jak
XML::Grove.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/XQL.pm
%dir %{perl_vendorlib}/XML/XQL
%{perl_vendorlib}/XML/XQL/*.pm
%{_mandir}/man3/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-XQL.spec,v $
Revision 1.23  2008/07/27 22:21:29  arekm
- release 3

Revision 1.22  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.20  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.19  2004/11/03 22:30:57  paladine
- formatting

Revision 1.18  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.17  2004/05/06 18:43:25  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/13 08:11:47  adamg
- BuildRequires: perl-XML-DOM, not perl(XML::DOM)

Revision 1.15  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.14  2003/10/09 23:07:24  qboosh
- pl, some unifications

Revision 1.13  2003/10/06 15:10:46  migo
- initial revision
